Subject: Re: bug#50222: Advising a function pollutes its docstring

From: Stefan Monnier <[email-masked]>
Date: Fri, 27 Aug 2021 11:04:21 -0400

> Advising a function changes the first line of its docstring, which
> breaks packages that use the first line of the docstring to display
> a short piece of information about a function.  I noticed this issue
> while playing with the "shortdoc" feature. For example:

Indeed, we should probably use `help-fns-describe-function-functions`
instead of the `function-documentation` property in `nadvice.el`.

        Stefan